Subject: [quicwg/base-drafts] QUIC Transport references (#4147)

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 23 Sep 2020 08:42:54 -0700

Reference Formats:  
(i) Some references have a citation by RFC number, some by BCP (but not all BCPs) 
(ii) Some reference tags are also by name, some are by than RFC number. Is this intentional?
(iii) draft-ietf-tsvwg-datagram-plpmtud was published as RFC8899.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147

---

From: Martin Thomson <[email-masked]>
Date: Wed, 23 Sep 2020 18:16:21 -0700

We've fixed the last one in #4115.

I'm comfortable with the split between RFC numbers and symbols.  I generally prefer symbols, especially for citations that are made multiple times, where context might be otherwise light (did you know that [RFC7301] was ALPN? did the context provide that information?).  But it can be the case that the obvious symbol isn't helpful or is too long, so for things that have just one citation the RFC number is fine, because context will establish what the citation is for.  And of course there are RFCs that are more recognizable by their number (BCP 38, RFC 1918), for which a symbolic name would only serve to obscure meaning for those of us who have that shared understanding.

It's probably worth going through and ensuring that any citation that appears multiple times has a useful symbol.  But consistency isn't my goal here.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147#issuecomment-698054229

---

From: Jana Iyengar <[email-masked]>
Date: Wed, 23 Sep 2020 18:53:24 -0700

I think that loose consistency is good enough here. We should ensure that the same RFC/name don't appear in both forms, but I don't believe that is the case (I haven't done a thorough search).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147#issuecomment-698064521

---

From: Martin Thomson <[email-masked]>
Date: Wed, 23 Sep 2020 20:37:07 -0700

Lars did, found a few, and fixed them :)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147#issuecomment-698091431

---

From: Martin Thomson <[email-masked]>
Date: Thu, 24 Sep 2020 15:38:44 -0700

Discussed on the call; closing.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147#issuecomment-698624027

---

From: Martin Thomson <[email-masked]>
Date: Thu, 24 Sep 2020 15:38:45 -0700

Closed #4147.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4147#event-3805333307